#!/bin/sh


rm -f luacov.report.out
rm -f luacov.stats.out

luacheck --codes --no-color --std +busted tests/ || exit 1

for file in `ls tests/*.lua`; do
	echo "$file"
	$file || exit 1
done

luacov
ldoc .
luacheck --codes --no-color daemonparts/ || exit 1
