#!/usr/bin/env lua5.3

---
-- Helper functions for multi-process tests.
--

local unix = require 'unix'


local _M = {}

function _M.process_exists( pid )
	local res, err = unix.kill( pid, unix.SIGCONT )
	if res then
		return true
	end

	if err == unix.EPERM then
		return true
	end

	return false
end


return _M
